procedure Choice is

   procedure Foo is
   begin
      null;
   end Foo;

   procedure Foo (I : Integer) is
   begin
      for N in 1 .. I loop
         Foo;
      end loop;
   end Foo;

begin
   Foo (100);
end Choice;
